
import RenderWithoutJS from "@/components/RenderWithoutJS";
import Sidebar from "@/components/Sidebar";
import index from "@/styles/Index.module.sass"
import Lanyard from "@/components/Lanyard"
import listFiles from "@/lib/listFiles";
import getFrontmatter from "@/lib/getFrontmatter";
import PostList from "@/components/PostList";

const IndexPage = (props: { posts: [{ title: string, date: string, link: string }] }) => {
    let Index = (
        <main id={index.layout}>
            <Sidebar />
            <section id={index.blogMain}>
                <h1>blog</h1>
                <PostList posts={props.posts} />
            </section>
            <Lanyard />
            {/* <Copyright /> */}
        </main>
    );
    return <RenderWithoutJS children={Index} />
};

export default IndexPage

export async function getStaticProps() {
    let blogPath = './src/blog'
    let posts = listFiles(blogPath) //
    let frontmatter = posts.map(post => {
        let matter = getFrontmatter(post).data
        return {
            ...matter,
            link: post.replace(blogPath, "/blog/").replace('.md', "").replace('.mdx', "")
        }
    })
    return {
        props: {
            posts: frontmatter
        }
    }
}